<template>
    <div class="counter">
        <input type="number" placeholder="Счетчик" v-model="count" :disabled="disabled">
        <button :disabled="disabled" @click="clickHandler">
            Увеличить счетчик
        </button>
    </div>
</template>

<script>
    export default {
        name: "Counter",
        props: {
            initialValue: Number,
            disabled: Boolean
        },
        data() {
            return {
                count: this.initialValue
            };
        },
        methods: {
            clickHandler() {
                this.count++;
            }
        },
        watch: {
            count(newValue) {
                this.$emit("updateCount", newValue);
            }
        }
    };
</script>

<style scoped>
    div {
        border: 1px solid blue;
        padding: 10px;
    }
</style>
